# pandas.Series.slice_shift

`Series.``slice_shift`(periods=1, axis=0)

  Equivalent to shift without copying data. The shifted data will not include the dropped periods and the shifted axis will be smaller than the original.

  Parameters:

  periods : int

  > Number of periods to move, can be positive or negative

  Returns: | shifted : same type as caller

  Notes

  While the slice_shift is faster than shift, you may pay for it later during alignment.

Scroll To Top